数据提供商: Financial Datasets
列出 10-K、10-Q 和 8-K 申报文件的项目章节名称(Financial Datasets)
$0.00 / 次调用在 45 秒内响应
列出每种申报文件包含的项目章节,以及各项目代码(如 Item-1A)和标题。可以传递可选的filing_type参数来获取某一种表格中的各项数据;如果需要获取所有支持的表格中的数据,则无需传递该参数。请求一个章节时,将这些代码作为 item 参数值。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Financial Datasets endpoint /filings/items/types on Glasser.bash
glasser run -p financialdatasets -e '/filings/items/types' -i '{"filing_type":"10-K"}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"financialdatasets","endpoint":"/filings/items/types","input":{"filing_type":"10-K"},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
研究公司披露信息时,可以在申报文件数据中查找与研究问题相关的段落。
复制此提示词到你的 Agent,查找与研究主题相关的披露信息。
提示词
Use financialdatasets:/filings/items/types on Glasser.
Find disclosures about my research topic in the returned filing data.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": {
"filing_type": {
"type": "string",
"maxLength": 200,
"minLength": 1
}
},
"additionalProperties": false
}json
{
"filing_type": "10-K"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.00 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |